// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UBlackboardKeyType.h"
#include "BehaviorTree/Blackboard/BlackboardKeyType.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UBlackboardKeyType::SCW_UBlackboardKeyType(UBlackboardKeyType* InBlackboardKeyType) : SCW_UObject(InBlackboardKeyType), BlackboardKeyType(InBlackboardKeyType)
{

}

UBlackboardKeyType* SCW_UBlackboardKeyType::ToUBlackboardKeyType() const
{
	return BlackboardKeyType;
}

ISCW_UBlackboardKeyTypePtr SCW_UBlackboardKeyType::ToUBlackboardKeyTypePtr()
{
	return GetSharedThisAs<SCW_UBlackboardKeyType>();
}

ISCW_UBlackboardKeyTypeConstPtr SCW_UBlackboardKeyType::ToUBlackboardKeyTypePtr() const
{
	return GetSharedThisAs<SCW_UBlackboardKeyType>();
}